<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
JsDir("cerrar.php");	
return;
}
//
//-------------------------	
$StrGT="";	
$LStrMsg="";
$LStrFoc="";
$LStrMM="";	
//-------------------------
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrNom=V($_POST['TxtNom']);
$StrCon=V($_POST['TxtCon']);
$StrDir=V($_POST['TxtDir']);
$StrDis=V($_POST['CboDis']);
$StrRuc=V($_POST['TxtRuc']);
$StrDni=V($_POST['TxtDni']);
$StrTel=V($_POST['TxtTel']);	
$StrCel=V($_POST['TxtCel']);	
$StrFax=V($_POST['TxtFax']);	
$StrEma=V($_POST['TxtEma']);	
//
$LStrPag=V($_POST['TxtPag']);
include("proveedores_fun.php");	
$VP_RegXPag=5;
$LStrTR=gn("count(*)","vproveedores","ID>0");
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
//ACTIVAR DESDE OTRA PAGINA
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Proveedores</title>
<script type="text/javascript" src="fe/funciones.js"></script>
<script type="text/javascript" src="fe/proveedores.js"></script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
     width:900px;
     height:600px;
     position:absolute;
     left:<?php echo "50%"; ?>;
     top:<?php echo "50%"; ?>;
	 background-color:#006699;
	 margin:<?php echo "-300px"; ?> 0 0 <?php echo "-450px"; ?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.Estilo4 {color: #000099}
.Estilo5 {color: #000000}
#Frm center #DivFRM #layer .Estilo1 strong {
	color: #900;
}

-->
</style>

</head>
<body  <?php echo $LStrMsg;?>>
<form id="Frm" name="Frm" method="post" action="proveedores.php">
<center> 
  <div Id="DivFRM"  class="centrarFrm" >
    <div id="layer5" style="position:absolute; left: 26px; top: 157px; width: 157px;">
      <div align="left" class="f2">NOMBRE / RAZON SOCIAL</div>
    </div>
    <div id="layer4" style="position:absolute; left: 26px; top: 90px; width: 442px; height: 26px;">
      <div align="left" class="f2">
        <input name="CmdB" type="button" id="CmdG"
		<?php
		if(strlen($StrId)==0){
			echo "value=\"Guardar\"";
		}else{
			echo "value=\"Modificar\"";
		}
		?>
		onclick="fGuardar();" style="width:80px" tabindex="11"/>
		<input name="CmdB" type="button" id="CmdC" value="Nuevo" onclick="fCancelar();"  tabindex="12"/>
		<input name="CmdB" type="button" id="CmdE" value="Eliminar" onclick="fEliminar();"
		<?php
		if(strlen($StrId)==0){
			echo "disabled=\"disabled\"";
		}
		?>
		 tabindex="13"/>
		 <input name="CmdB" type="button" id="CmdB" 
         value="Buscar" onclick="fBuscar('proveedores_buscar.php');"  tabindex="14"/>
         <input name="CmdB" type="button" id="CmdZ" 
         value="Menu" onclick="fBuscar('menu.php');"  tabindex="15"/>
      </div>
    </div>

<div id="layer3" style="position:absolute; left: 30px; top: 330px; width: 840px; height: 225px; overflow:auto">
<div align="left" class="f2">
<table width="824" border="1" cellpadding="0" cellspacing="0">

<tr>
<td height="18" colspan="6" bgcolor="#666666" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>

</tr>  
  <tr height="18">
    <td width="257" bgcolor="#999999"><span class="Estilo4">NOMBRE</span></td>
    <td width="174" bgcolor="#999999"><span class="Estilo4">CONTACTO</span></td>
    <td width="112" bgcolor="#999999"><span class="Estilo4">RUC</span></td>
    <td width="144" bgcolor="#999999"><span class="Estilo4">TELEFONO</span></td>
    <td width="116" bgcolor="#999999"><span class="Estilo4">CELULAR</span></td>            
    <td width="35" bgcolor="#999999">&nbsp;</td>
  </tr>
<?php
	
	$s="SELECT ID,NOMBRE,CONTACTO,RUC,TEL,CEL FROM vproveedores
			WHERE ID> 0 ORDER BY NOMBRE";	
	$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);	 				
	$result = grs($s);
	$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
	$X2="</span></td>";
	while ($row = $result->fetch_row()){
		echo "<tr ondblclick=\"fActivar($row[0]);\">";
		echo $X1.VV($row[1]).$X2;
		echo $X1.VV($row[2]).$X2;
		echo $X1.VV($row[3]).$X2;
		echo $X1.VV($row[4]).$X2;
		echo $X1.VV($row[5]).$X2;
		echo "<td bgcolor=\"#FFFFFF\" align=\"center\">
			 <a href=\"javascript:void(0)\" onclick=\"fActivar($row[0]);\">
			 <img src=\"img/b_edit.png\"  border=\"0\"/>
			 </a>
			 </td>";
		echo "</tr>";
	}

?>		  
         
        </table>
      </div>
    </div>
    <div id="layer" style="position:absolute; left: 116px; top: 21px; width: 412px; height: 45px; z-index: 100;">
<div id="DivSunat">
<input name="T_RS" type="hidden" id="T_RS" value=""/>
<input name="T_DI" type="hidden" id="T_DI" value=""/>
<input name="T_TE" type="hidden" id="T_TE" value=""/>
</div>
      <div align="left" class="Estilo1">
        <input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
		<input name="TxtAc" type="hidden" id="TxtAc" value="" />
		<input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
      <strong>PROVEEDORES</strong></div>
    </div>
          <input name="TxtNom" type="text" id="TxtNom" style="position:absolute; left: 26px; top: 177px; width: 290px;" 
          value="<?php echo $StrNom;?>"  
          onKeyDown="return SoloTextoEx(event,'TxtCon');" 
          tabindex="1" />

    <div id="LblTit" style="position:absolute; left: 52px; top: 15px; width: 64px; z-index: 100;">
    <div align="left" class="Estilo1"><img src="img/proveedores.jpg" width="56" height="52" /></div>
  </div>
    <div id="layer8" style="position:absolute; left: 0px; top: 0px; width: 900px; height: 79px; background-color: #FFFFFF; layer-background-color: #FFFFFF; border: 1px none #000000; z-index: 0;">
      <div align="left" class="Estilo1">        
      </div>
</div>
    <div id="layer6" style="position:absolute; left: 334px; top: 157px; width: 88px;">
      <div align="left" class="f2">CONTACTO</div>
    </div>
        <input name="TxtCon" type="text" id="TxtCon" style="position:absolute; left: 331px; top: 177px; width: 147px;" 
          value="<?php echo $StrCon;?>"  
          onkeydown="return SoloTextoEx(event,'TxtDir');" 
          tabindex="2" />

    <div id="layer9" style="position:absolute; left: 506px; top: 156px; width: 64px;">
      <div align="left" class="f2">DIRECCION</div>
    </div>
        <input name="TxtDir" type="text" id="TxtDir" style="position:absolute; left: 505px; top: 177px; width: 363px;" 
          value="<?php echo $StrDir;?>"  
          onkeydown="return SoloTextoEx(event,'CboDis');" 
          tabindex="3" />

<select name="CboDis" id="CboDis" style="position:absolute; left: 26px; top: 230px; width: 171px;" 
onkeydown="return SoloTextoEx(event,'TxtRuc');" tabindex="4">
          <?php
	$s="SELECT dis_nombre FROM distritos WHERE id_distrito>= 0 ORDER BY dis_nombre";
	$result = grs($s);
	while ($row = $result->fetch_row()){
	if($StrDis==$row[0]){
		echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
	}else{
		echo "<option value=\"$row[0]\" >$row[0]</option>";
	}
	}
?>
        </select>

    <div id="layer12" style="position:absolute; left: 26px; top: 213px; width: 144px;">
      <div align="left" class="f2">DEPARTAMENTO</div>
    </div>

<div id="layer13" style="position:absolute; left: 211px; top: 210px; width: 51px;">
<div align="left" class="f2">RUC</div></div>
<input name="TxtRuc" type="text" id="TxtRuc" style="position:absolute; left: 211px; top: 230px; width: 103px;" 
value="<?php echo $StrRuc;?>"  
onkeydown="return SoloEnterosEx(this,event,'TxtDni');" 
tabindex="5" maxlength="11" />

        <input name="TxtDni" type="text" id="TxtDni" style="position:absolute; left: 334px; top: 230px; width: 105px;" 
          value="<?php echo $StrDni;?>"  
          onkeydown="return SoloEnterosEx(this,event,'TxtTel');" 
          tabindex="6" maxlength="8" />

    <div id="layer16" style="position:absolute; left: 333px; top: 210px; width: 103px;">
      <div align="left" class="f2">DNI</div>
    </div>
        <input name="TxtTel" type="text" id="TxtTel" style="position:absolute; left: 460px; top: 230px; width: 138px;" 
          value="<?php echo $StrTel;?>"  
          onkeydown="return SoloTextoEx(event,'TxtCel');" 
          tabindex="7" />

    <div id="layer18" style="position:absolute; left: 463px; top: 210px; width: 130px;">
      <div align="left" class="f2">TELEFONO FIJO</div>
    </div>
    <div id="layer19" style="position:absolute; left: 619px; top: 210px; width: 152px;">
      <div align="left" class="f2">CELULAR</div>
    </div>

<input name="TxtCel" type="text" id="TxtCel" 
style="position:absolute; left: 619px; top: 230px; width: 248px;"
value="<?php echo $StrCel;?>"  
onkeydown="return SoloTextoEx(event,'TxtFax');" 
tabindex="8" />

<div id="layer21" style="position:absolute; left: 26px; top: 267px; width: 58px;">
<div align="left" class="f2">FAX</div></div>
<input name="TxtFax" type="text" id="TxtFax" 
class="ps" style="position:absolute; left: 26px; top: 285px; width: 170px;" 
value="<?php echo $StrFax;?>"  
onkeydown="return SoloTextoEx(event,'TxtEma');" 
tabindex="9"/>

<div id="layer23" style="position:absolute; left: 213px; top: 267px; width: 142px;">
<div align="left" class="f2">EMAIL</div></div>
<input name="TxtEma" type="text" id="TxtEma" 
class="ps" style="position:absolute; left: 211px; top: 285px; width: 348px;" 
value="<?php echo $StrEma;?>"  
onkeydown="return SoloTextoEx(event,'CmdG');" 
tabindex="10" />
  </div>
</center>	
        </form>
</body>
</html>
